Bug 233526 - revise bectl.c -h output to match manpage and correct bad character â<9F><A8>
Summary: revise bectl.c -h output to match manpage and correct bad character â<9F><A8>
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Pankov
URL: https://reviews.freebsd.org/D18335
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-11-26 03:40 UTC by tigersharke
Modified: 2018-11-29 01:33 UTC (History)
2 users (show)

See Also:
yuripv: mfc-stable12+
yuripv: mfc-stable11-


Attachments
Patch for bectl.h to correct wrong character and match -h output to manpage (1.18 KB, patch)
2018-11-26 03:40 UTC, tigersharke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tigersharke 2018-11-26 03:40:34 UTC
Created attachment 199565 [details]
Patch for bectl.h to correct wrong character and match -h output to manpage

Working Copy Root Path: /usr/src
URL: https://svn0.us-west.freebsd.org/base/stable/12/sbin/bectl
Relative URL: ^/stable/12/sbin/bectl
Repository Root: https://svn0.us-west.freebsd.org/base
Repository UUID: ccf9f872-aa2e-dd11-9fc8-001c23d0bc1f
Revision: 340927
Node Kind: directory
Schedule: normal
Last Changed Author: kevans
Last Changed Rev: 340751
Last Changed Date: 2018-11-21 19:25:44 -0600 (Wed, 21 Nov 2018)

Primary problematic line that must be changed, should all other changes be wrong:
"\tbectl {ujail | unjail} ?jailID | jailName | bootenv)\n"

The above line causes output to "stick" when the -h 'help output' routine is called.
Comment 1 Yuri Pankov freebsd_committer 2018-11-26 07:50:27 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2018-11-26 15:12:33 UTC
A commit references this bug:

Author: yuripv
Date: Mon Nov 26 15:11:33 UTC 2018
New revision: 340974
URL: https://svnweb.freebsd.org/changeset/base/340974

Log:
  bectl: sync usage with man page, removing stray multibyte characters
  in the process.

  PR:		233526
  Submitted by:	tigersharke@gmail.com (original version)
  Reviewed by:	kevans
  Approved by:	kib (mentor, implicit)
  MFC after:	3 days
  Differential revision:	https://reviews.freebsd.org/D18335

Changes:
  head/sbin/bectl/bectl.c
Comment 3 commit-hook freebsd_committer 2018-11-29 00:35:27 UTC
A commit references this bug:

Author: yuripv
Date: Thu Nov 29 00:34:55 UTC 2018
New revision: 341168
URL: https://svnweb.freebsd.org/changeset/base/341168

Log:
  MFC r340974:
  bectl: sync usage with man page, removing stray multibyte characters
  in the process.

  PR:             233526
  Submitted by:   tigersharke@gmail.com (original version)
  Reviewed by:    kevans
  Differential revision:  https://reviews.freebsd.org/D18335

Changes:
_U  stable/12/
  stable/12/sbin/bectl/bectl.c
Comment 4 commit-hook freebsd_committer 2018-11-29 01:32:13 UTC
A commit references this bug:

Author: yuripv
Date: Thu Nov 29 01:31:12 UTC 2018
New revision: 341175
URL: https://svnweb.freebsd.org/changeset/base/341175

Log:
  MFS12 r341168:
  MFC r340974:
  bectl: sync usage with man page, removing stray multibyte characters
  in the process.

  PR:             233526
  Submitted by:   tigersharke@gmail.com (original version)
  Reviewed by:    kevans
  Approved by:	re (gjb)
  Differential revision:  https://reviews.freebsd.org/D18335

Changes:
_U  releng/12.0/
  releng/12.0/sbin/bectl/bectl.c